apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    description: VM example
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1alpha3
  creationTimestamp: "2023-06-15T19:54:40Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 1
  labels:
    app: example-lih2b1d6wqt2nuak
    os.template.kubevirt.io/fedora36: "true"
    vm.kubevirt.io/template: example
    vm.kubevirt.io/template.namespace: test
  managedFields:
  - apiVersion: kubevirt.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:description: {}
        f:labels:
          .: {}
          f:app: {}
          f:os.template.kubevirt.io/fedora36: {}
          f:vm.kubevirt.io/template: {}
          f:vm.kubevirt.io/template.namespace: {}
      f:spec:
        .: {}
        f:running: {}
        f:template:
          .: {}
          f:metadata:
            .: {}
            f:annotations:
              .: {}
              f:vm.kubevirt.io/flavor: {}
              f:vm.kubevirt.io/os: {}
              f:vm.kubevirt.io/workload: {}
            f:labels:
              .: {}
              f:kubevirt.io/domain: {}
              f:kubevirt.io/size: {}
          f:spec:
            .: {}
            f:domain:
              .: {}
              f:cpu:
                .: {}
                f:cores: {}
                f:sockets: {}
                f:threads: {}
              f:devices:
                .: {}
                f:disks: {}
                f:interfaces: {}
                f:networkInterfaceMultiqueue: {}
                f:rng: {}
              f:features:
                .: {}
                f:acpi: {}
                f:smm:
                  .: {}
                  f:enabled: {}
              f:firmware:
                .: {}
                f:bootloader:
                  .: {}
                  f:efi: {}
              f:machine:
                .: {}
                f:type: {}
              f:resources:
                .: {}
                f:requests:
                  .: {}
                  f:memory: {}
            f:hostname: {}
            f:networks: {}
            f:terminationGracePeriodSeconds: {}
            f:volumes: {}
    manager: Mozilla
    operation: Update
    time: "2023-06-15T19:54:40Z"
  - apiVersion: kubevirt.io/v1alpha3
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:kubevirt.io/latest-observed-api-version: {}
          f:kubevirt.io/storage-observed-api-version: {}
        f:finalizers:
          .: {}
          v:"kubevirt.io/virtualMachineControllerFinalize": {}
    manager: Go-http-client
    operation: Update
    time: "2023-06-15T19:54:41Z"
  - apiVersion: kubevirt.io/v1alpha3
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:volumeSnapshotStatuses: {}
    manager: Go-http-client
    operation: Update
    subresource: status
    time: "2023-11-09T08:37:07Z"
  - apiVersion: kubevirt.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:desiredGeneration: {}
        f:observedGeneration: {}
    manager: Go-http-client
    operation: Update
    subresource: status
    time: "2024-07-07T14:04:40Z"
  - apiVersion: kubevirt.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions: {}
        f:created: {}
        f:printableStatus: {}
        f:ready: {}
        f:runStrategy: {}
    manager: virt-controller
    operation: Update
    subresource: status
    time: "2025-11-03T14:56:56Z"
  name: example-lih2b1d6wqt2nuak
  namespace: rhug-bos
  resourceVersion: "9531260574"
  uid: 7b9e92c0-d76f-4993-9312-5d100be830d2
spec:
  running: true
  template:
    metadata:
      annotations:
        vm.kubevirt.io/flavor: small
        vm.kubevirt.io/os: fedora36
        vm.kubevirt.io/workload: server
      creationTimestamp: null
      labels:
        kubevirt.io/domain: example-lih2b1d6wqt2nuak
        kubevirt.io/size: small
    spec:
      domain:
        cpu:
          cores: 1
          sockets: 1
          threads: 1
        devices:
          disks:
          - disk:
              bus: virtio
            name: rootdisk
          - disk:
              bus: virtio
            name: cloudinitdisk
          interfaces:
          - macAddress: 02:26:19:00:00:78
            masquerade: {}
            model: virtio
            name: default
          networkInterfaceMultiqueue: true
          rng: {}
        features:
          acpi: {}
          smm:
            enabled: true
        firmware:
          bootloader:
            efi: {}
        machine:
          type: q35
        resources:
          requests:
            memory: 2Gi
      hostname: example-lih2b1d6wqt2nuak
      networks:
      - name: default
        pod: {}
      terminationGracePeriodSeconds: 180
      volumes:
      - containerDisk:
          image: quay.io/containerdisks/fedora:36
        name: rootdisk
      - cloudInitNoCloud:
          userData: |-
            #cloud-config
            password: 'x576-rwla-njig'
            chpasswd: { expire: False }
        name: cloudinitdisk
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-11-03T14:56:56Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: LiveMigratable
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: StorageLiveMigratable
  - lastProbeTime: "2025-10-30T08:03:01Z"
    lastTransitionTime: null
    status: "True"
    type: AgentConnected
  - lastProbeTime: null
    lastTransitionTime: "2025-10-30T09:27:27Z"
    message: 'error encountered when trying to patch VM firmware: Internal error occurred:
      failed calling webhook "mutatevirtualmachines.kubemacpool.io": failed to call
      webhook: Post "https://kubemacpool-service.openshift-cnv.svc:443/mutate-virtualmachines?timeout=10s":
      dial tcp 10.131.2.154:8000: connect: connection refused'
    reason: FirmwareUUIDError
    status: "True"
    type: Failure
  created: true
  desiredGeneration: 1
  observedGeneration: 1
  printableStatus: Running
  ready: true
  runStrategy: Always
  volumeSnapshotStatuses:
  - enabled: false
    name: rootdisk
    reason: Snapshot is not supported for this volumeSource type [rootdisk]
  - enabled: false
    name: cloudinitdisk
    reason: Snapshot is not supported for this volumeSource type [cloudinitdisk]
